For the complete documentation index, see llms.txt. This page is also available as Markdown.

Pro Se Status

Filter cases by filed pro se status

Filter by pro se status id (int).

GET https://clearinghouse.net/api/v2p1/cases?pro_se_status=pro_se_status_id

Query Parameters

Name
Type
Description

relief_source_id*

integer

Relief source ID (see list below for list of integers and its mapped values)

Headers

Name
Type
Description

Authorization*

String

Authorization

Token XXXXXXXXXXX

where

XXXXXXXXXXX

is the token string

\\ Examples of:
\\ No results, key not found, or invalid parameter

\\ No results
\\ Example query endpoint: /api/v2p1/cases/?case_id=1&case_ongoing=1
["No results for {'case_id': '1', 'case_ongoing': '1'}"]

\\ Key not found
\\ Example query endpoint: /api/v2p1/cases?test_key=1
["API Error: Key: test_key, Value: 1 not found."]

\\ Example query endpoint: /api/v2p1/cases/?case_id=xyz
["API Error: xyz is not an integer."]
{
    "detail":"Authentication credentials were not provided."
}

Supported pro se status IDs (pro_se_status_id):

5025
No

5027

Unknown

5026

Yes

For more about pro se status, see pro_se_status.

Example

https://clearinghouse.net/api/v2p1/cases?pro_se_status=5027
import requests

url = "https://clearinghouse.net/api/v2p1/cases?pro_se_status=5027"
headers = { 'Authorization': 'Token XXXXXXXXXX',
'User-Agent': 'Chrome v22.2 Linux Ubuntu'
}
response = requests.request("GET", url, headers=headers, data={})

print(response.text)

Last updated